import type { Meta, StoryObj } from '@storybook/svelte';
import EntityList from '../lib/components/widgets/EntityList.svelte';
import { imageAddress, imageVerticalAddress, videoAddress, videoVerticalAddress } from './common';

const meta: Meta<EntityList> = {
	title: 'Widgets/EntityList',
	component: EntityList,
	tags: ['autodocs'],
	args: {
		entities: [imageAddress, imageVerticalAddress, videoAddress, videoVerticalAddress]
	}
};

export default meta;
type Story = StoryObj<EntityList>;

export const Thumbnails: Story = {
	args: {
		thumbnails: true
	}
};

export const Plain: Story = {
	args: {
		thumbnails: false
	}
};
