import type { Meta, StoryObj } from '@storybook/svelte';
import UpObjectCard from '../lib/components/display/UpObjectCard.svelte';
import { imageAddress } from './common';

const address = imageAddress;

const meta: Meta<UpObjectCard> = {
	title: 'Display/UpObjectCard',
	component: UpObjectCard,
	tags: ['autodocs'],
	args: {
		address
	},
	argTypes: {
		address: {
			defaultValue: address,
			name: 'Address',
			type: 'string'
		}
	}
};

export default meta;
type Story = StoryObj<UpObjectCard>;

export const Default: Story = {};

export const WithLabels: Story = {
	args: {
		labels: ['Label 1', 'Label B', 'Label III']
	}
};

export const WithoutThumbnail: Story = {
	args: {
		thumbnail: false
	}
};

export const Small: Story = {
	args: {
		banner: false
	}
};
